Outlook Security Manager (.net, VCL and ActiveX)
Requirements

Security Manager
for Microsoft® Outlook®

Supported Outlook versions

  • Microsoft Outlook 2000
  • Microsoft Outlook 2002 (XP)
  • Microsoft Outlook 2003
  • Microsoft Outlook 2007
  • Microsoft Outlook 2010 (x86 or x64)
  • Microsoft Outlook 2013 (x86 or x64)
  • Microsoft Outlook 2016 (x86 or x64)
  • All Outlook service packs and updates are supported

Outlook Security Manager .NET

Supported IDE versions

  • Visual Studio 2017 Community, Professional, Enterprise
  • Visual Studio 2015 Community, Professional, Enterprise
  • Visual Studio Express 2015 for Windows Desktop
  • Visual Studio 2013 Community, Professional, Premium, Ultimate
  • Visual Studio Express 2013 for Windows Desktop
  • Visual Studio 2012 Professional, Premium, Ultimate
  • Visual Studio Express 2012 for Windows Desktop
  • Visual Studio 2010 Professional, Premium, Ultimate
  • Visual Studio 2010 Express

.NET Framework

  • .NET Framework 2.0
  • .NET Framework 3.x
  • .NET Framework 4.x

Outlook Security Manager VCL

Supported IDE versions

  • Delphi XE2 Architect, Ultimate, Enterprise, Professional with Update Pack 4 Hotfix 1
  • Delphi XE3 Architect, Ultimate, Enterprise, Professional with Update Pack 2
  • Delphi XE4 Architect, Ultimate, Enterprise, Professional with Update Pack 1
  • Delphi XE5 Architect, Ultimate, Enterprise, Professional with Update Pack 2
  • Delphi XE6 Architect, Ultimate, Enterprise, Professional with Update Pack 1
  • Delphi XE7 Architect, Ultimate, Enterprise, Professional
  • Delphi XE8 Architect, Ultimate, Enterprise, Professional
  • Delphi 10 Seattle Architect, Ultimate, Enterprise, Professional
  • Delphi 10.1 Berlin Architect, Ultimate, Enterprise, Professional

Outlook Security Manager ActiveX

Supported IDE versions

  • Visual Studio 6 Enterprise Architect, Enterprise Developer, Professional
  • Visual Basic for Applications (VBA, including Excel VBA, Word VBA, AutoCAD VBA)
  • The Microsoft Office MailMerge functionality
  • Visual C++ 6 (MFC, ATL)
  • Visual Basic 6
  • Outlook VBScript
  • and all other programming languages or IDE that support ActiveX-es